
Manual SITPLUS

                           [sitpluslogo_med.png]

                                   Manual

                                   v0.5.x

Introduccin

   SITPLUS es una aplicacin gratuita pensada, principalmente, para
   ofrecer actividades ldicas a personas con mltiples discapacidades.
   Ofrece nuevas formas de interaccin basadas en visin artificial y
   voz, para generar un resultado inmediato en forma de imagen y sonido.
   Inspirado en las aplicaciones de causa-efecto, SITPLUS proporciona una
   herramienta de interaccin continua, a distancia y asequible a la
   mayora de personas con mltiples discapacidades.

                          SITPLUS captura pantalla


   SITPLUS naci como proyecto de investigacin a la Asociacin
   Provincial de Parlisis Cerebral ([1]APPC) de Tarragona en
   colaboracin con [2]CREA Sistemas Informticos y otros. SITPLUS es
   fruto de casi tres aos de investigacin, desarrollo e intervencin
   directa con personas con parlisis cerebral de la APPC. Inspirada en
   las aplicaciones de causa-efecto, SITPLUS proporciona una herramienta
   de interaccin continua, a distancia y asequible a la mayora de
   personas con mltiples discapacidades. Fue concebida en la APPC a
   finales de 2007 para intentar dar una respuesta al grupo de personas
   cuya combinacin de limitaciones motrices, cognitivas e incluso
   sensoriales les vetaban el acceso a otras herramientas de uso ms
   comn. Las sesiones experimentales, llevadas a cabo en el laboratorio
   que la APPC ha dedicado en exclusiva a este proyecto, revelan que esta
   herramienta no slo es til para muchas personas con afectaciones
   moderadas y severas, sino que, adems, resulta muy motivadora para
   aquellos usuarios con afectaciones ms leves.

                       Laboratorio SITPLUS en la APPC


   Aunque SITPLUS se centra en las personas con parlisis cerebral,
   creemos que tambin puede beneficiar a otras personas con
   discapacidades cognitivas. Por otro lado, tambin puede ser til como
   una plataforma para la investigacin en juegos y msica y arte
   interactivos. De hecho, SITPLUS se concibe como un marco de aplicacin
   donde se pueden desarrollar diversas actividades que utilizan
   recursos. Los recursos seran elementos como, por ejemplo, el anlisis
   del sonido de entrada, el seguimiento del movimiento a travs de
   visin artificial, los algoritmos sntesis de grfica y sonora, etc.
   Las actividades no son ms que pequeas aplicaciones que utilizan los
   recursos para hacer algo til (por ejemplo, permitiendo interactuar
   con el sistema de alguna manera). La idea de este modelo es permitir
   la reutilizacin de los componentes para proporcionar diferentes
   escenarios interactivos manteniendo simple su desarrollo y uso.

   Actualmente SITPLUS est siendo desarrollado pero ya se proporcionan
   tres actividades como se describe en este manual.

Instalacin


   Para ejecutar correctamente SITPLUS necesita un ordenador personal
   con:
     * CPU de doble ncleo a 1,5 GHz o mejor
     * Tarjeta de sonido y altavoces
     * Micrfono
     * Cmara web (webcam de alta calidad recomendada)
     * Microsoft Windows XP Service Pack 3, Vista o 7
     * (Opcional pero recomendado) Buen sistema de sonido y pantalla
       secundaria o proyector.

   Tambin hay que instalar las siguientes aplicaciones:
     * [3]Controladores ASIO4ALL. Estos controladores permiten reducir la
       latencia del procesamiento de sonido en tiempo real mejorando la
       experiencia del usuario.
     * [4]pd-extended. IMPORTANTE: instalar con les opciones por defecto.

   Antes de instalar SITPLUS primero hay que desinstalar cualquier
   versin anterior del programa existente en el ordenador.

   Finalmente ejecute el paquete de instalacin y siga las instrucciones.

Configuracin

   SITPLUS requiere de entrada de audio (es decir, un micrfono) y una
   cmara web. Asegrese de que estos dispositivos estn instalados y
   funcionan correctamente antes de ejecutar SITPLUS. Tambin hay que
   ajustar el volumen del sonido del sistema (grabacin y reproduccin)
   en consecuencia.

   Ejecute SITPLUS desde el men Inicio (entrada Proyecto-SITPLUS).

   La primera vez que se ejecuta la aplicacin hay que configurar las
   diversas opciones (los ajustes escogidos se guardan para futuras
   ejecuciones).

   SITPLUS main window screenshoot

Configuracin de audio

   Abra el dilogo de configuracin de audio (Configuracin -> Audio).).

   Sound configuration screenshot

   Una vez abierto debe escuchar un sonido continuo. Si no hay sonido
   (especialmente en Windows Vista y 7) hay que asegurarse de que no hay
   otras aplicaciones ejecutndose que usen el sistema de sonido (por
   ejemplo, reproductores multimedia, navegadores, etc.)

   Ajuste el Retraso (delay) al valor mnimo posible antes de que se
   empiecen a notar defectos en el sonido. Tambin puede comprobar si el
   micrfono funciona correctamente mediante la opcin "Micrfono".

   Finalmente, haga clic en "Cerrar" y responda "S" para guardar la
   configuracin.

Configuracin de la camara web

   Abra la configuracin de la cmara web (Configuracin -> Cmara).

   Seleccione la cmara que desea utilizar en el dilogo de seleccin. A
   continuacin, el dilogo de configuracin de la cmara debe abrirse y
   empezar a mostrar el vdeo en directo (ver imagen)..

   Camera configuration screenshot

   Si desea cambiar la cmara seleccionada (slo si tiene dos o ms
   cmaras) haga clic en "Cambiar" para abrir el dilogo de seleccin de
   nuevo.

   Al pulsar sobre el botn "Propiedades" se puede ajustar los parmetros
   de la cmara (brillo, ganancia, zoom, etc.) Estos parmetros dependen
   de la marca y el modelo de la cmara. Los mejores resultados se
   obtienen cuando la velocidad de captura es de 25 a 30 fps (fotogramas
   por segundo). Establezca los parmetros de la cmara en consecuencia
   (tal vez tenga que consultar las instrucciones de la cmara).

   Cuando haya terminado, haga clic en "Cerrar" para cerrar la ventana y
   guardar los cambios.

Configuracin MIDI

   Abra la configuracin MIDI (Configuracin -> MIDI).

   MIDI configuration screenshot

   Cuando se le pregunte el dispositivo MIDI a utilizar elija "Microsoft
   MIDI Mapper" a menos que tenga otro dispositivo MIDI que desee
   utilizar (por ejemplo, un mdulo MIDI externo). A continuacin, el
   dilogo mostrado se abrir.

   Haga clic en "Probar" para reproducir una simple escala de notas.

   Finalmente, haga clic en "Cerrar" para cerrar la ventana y guardar los
   cambios.

Actividades

Actividad: Jugando con la voz

   Un micrfono se utiliza para recoger las emisiones orales o de otro
   tipo (respiracin, golpecitos al micrfono, etc.). El flujo de entrada
   de audio es luego procesado utilizando diferentes efectos digitales
   como reverberacin, coro, eco, etc. El audio resultante se amplifica y
   se enva a los altavoces. La amplitud del sonido resultante tambin se
   utiliza para proporcionar una visualizacin grfica.

   El dilogo que se muestra a continuacin permite elegir entre los
   diferentes efectos de sonido que se pueden combinar.

     Playing with voice activity screenshot

   Opciones:
     * Entrada micrfono. Ganancia de entrada del micrfono.
     * Salida de sonido.
     * Efectos
          + Reverberacin
          + Corazn
          + Cambio de tono
          + Distorsin
          + Sonido de robot
          + Sonido de telfono
          + Eco. Se puede establecer el tiempo entre repeticiones y el
            cambio de tono de cada repeticin.
     * Cancelacin de acoplamiento. Ayuda a reducir los efectos negativos
       de la realimentacin acstica.

   Adems del procesamiento de sonido, tambin se abre una ventana
   grfica donde se muestra un dibujo sencillo que reacciona de acuerdo
   con la amplitud del sonido (futuras versiones ampliarn las
   capacidades grficas). La ventana grfica se abre fuera de la ventana
   principal de la aplicacin. De esta forma es posible moverla y
   colocarla, por ejemplo, en otra pantalla (la que el usuario mira).

Actividad: Instrumento virtual

   Utilizando visin artificial es posible seleccionar un rea de la
   imagen de donde se extraer el movimiento del usuario. Este movimiento
   se acumula y el resultado se utiliza para reproducir una nota de una
   partitura predefinida (es decir, cuando el usuario se mueve las notas
   musicales se reproducen). El instrumento musical y la partitura se
   pueden elegir.

   Esta actividad abre dos ventanas dentro de la principal.
     * Ventana de la cmara. Muestra el video en vivo desde la cmara y
       le permite ajustar como se extraer el movimiento. El rectngulo
       externo mayor (a) delimita el rea en la que (opcionalmente) se
       detecta el movimiento global y se utiliza para ubicar
       automticamente el rectngulo pequeo. El rectngulo pequeo (b)
       delimita la zona donde el movimiento fino se extrae (el que se
       utilizar para tocar las notas). Ambos cuadros se pueden cambiar
       de tamao (por los lados) y mover (por las esquinas). Finalmente,
       la flecha (c) se utiliza para establecer la direccin principal
       del movimiento que planeamos extraer (horizontal en la imagen).
       Camera window screenshot

     * Ventana del instrumento virtual.
          + Sensibilidad. Sensibilidad del seguimiento de movimiento.
            Ajuste con arreglo con el rango de movimientos del usuario.
          + Auto-detecta rea de movimiento. Cuando se marca esta opcin
            el rectngulo (b) busca automticamente la zona interior (a)
            donde hay ms movimiento.
          + Partitura. Selecciona la partitura a emplear
          + Instrumentos. Selecciona el instrumento musical entre 128
            opciones.
          + Duracin de las notas. Durante cunto tiempo una nota se
            reproducir una vez activada (en milisegundos).
            Virtual instrument screenshot

Actividad: Inflar el globo

   Se abren tres ventanas: una ventana externa grfica (como en la
   actividad "Jugando con la voz") y dos ventanas dentro de la principal.
   (NOTA: esta actividad es altamente experimental y an en
   construccin).
     * Ventana de la cmara. Muestra el vdeo en vivo desde la cmara y
       le permite elegir cmo se extraer el movimiento. A diferencia de
       la actividad anterior, en este caso slo se calcula una estimacin
       del movimiento global dentro del rectngulo.
     * Ventana de configuracin.
          + Sensibilidad del anlisis del movimiento. Ajstela de acuerdo
            con el rango de movimientos del usuario. Cuando la opcin
            "Automtico" est marcada, la sensibilidad se ajusta
            automticamente dependiendo de la cantidad de movimiento
            detectada.
          + Forma actual. Se puede elegir entre cuatro formas geomtricas
            diferentes.
          + Etapa actual.
               o 1) El tamao del dibujo es proporcional al movimiento
                 instantneo. Utiliza los colores seleccionados ms
                 abajo.
               o 2) Al igual que en 1), pero que cambia automticamente
                 el par de colores utilizados.
               o 3) El tamao del dibujo es proporcional al movimiento
                 acumulado (imitando el acto de inflar un globo). Colores
                 como en 1).
               o 4) Al igual que en 3) y los colores como en 2).
          + Suavizado. Establece la rapidez con que el dibujo y la
            sntesis de sonido reaccionan a los gestos de los usuarios.
            Cuanto menor sea este valor, ms rpida ser la reaccin.

     Blow up balloon screenshot

Mezclando actividades

   Si lo desea, diversas actividades se pueden iniciar al mismo tiempo.
   Hay, sin embargo, algunas limitaciones bajo Windows Vista y 7 que
   impiden utilizar el instrumento virtual conjuntamente con cualquiera
   de las otras dos actividades.

References

   1. http://www.appctarragona.org/
   2. http://www.crea-si.com/
   3. http://www.asio4all.com/
   4. http://downloads.sourceforge.net/pure-data/Pd-0.41.4-extended.exe
