/////////////////////////////////////////////////////////////////////////////
// Name:        mhitracker.h
// Purpose:     
// Author:      Cesar Mauri Loba
// Modified by: 
// Created:    11/10/2009
// Copyright:   (C) 2009-10 Cesar Mauri (cesar at crea-si dot com)
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////
#ifndef MHITRACKER_H
#define MHITRACKER_H

//#include <wx/menu.h>
#include "crvimage.h"
#include "visiblenormroi2.h"
#include "cameracontroller.h"
//#include "camwindow.h"

class CMhiTracker 
{
public:
	CMhiTracker(); //CCamWindow* pCamWindow);
	~CMhiTracker(void);

	int ProcessImage(CIplImage* pImage, float &energy);
	
//	void SetAutoTrack ( bool value ) { m_autoTrack= value; }
//	bool GetAutoTrack () const { return m_autoTrack; }
private:	
	bool AllocateImages(CIplImage *pImage);
	double GetTStamp (void);

//	CCamWindow* m_pCamWindow;
	CIplImage m_previousImg;
	CIplImage m_currentImg;
	CIplImage m_silhouetteImg;
	CIplImage m_MhiImg;

    CIplImage m_provaImg;
    //CIplImage m_velY;	
	//CIplImage m_diffImg;   
	CVisibleNormROI2Instance m_bigArea;
	//CVisibleNormROI m_bigArea; //, m_smallArea;


	//float m_sensitivy;
    //bool m_autoTrack;
};
#endif
