/////////////////////////////////////////////////////////////////////////////
// Name:       
// Purpose:  
// Author:      Cesar Mauri Loba (cesar at crea-si dot com)
// Modified by: 
// Created:     
// Copyright:   (C) 2010 Cesar Mauri Loba - CREA Software Systems
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////

#ifndef _MVIACAMAPP_H_
#define _MVIACAMAPP_H_


/*!
 * Includes
 */

////@begin includes
#include "wx/image.h"
////@end includes

/*!
 * Forward declarations
 */

////@begin forward declarations
////@end forward declarations

/*!
 * Control identifiers
 */

////@begin control identifiers
////@end control identifiers

/*!
 *
 */

class MultimediaViacamApp: public wxApp
{    
    DECLARE_CLASS( MultimediaViacamApp )
    DECLARE_EVENT_TABLE()

public:
    /// Constructor
    MultimediaViacamApp();

private:
    void Init();

    /// Initialises the application
    virtual bool OnInit();

    /// Called on exit
    virtual int OnExit();

	virtual int OnRun();

	virtual void OnUnhandledException();

	void SetLanguage();

////@begin MultimediaViacamApp event handler declarations
////@end MultimediaViacamApp event handler declarations

////@begin MultimediaViacamApp member function declarations
////@end MultimediaViacamApp member function declarations

////@begin MultimediaViacamApp member variables
////@end MultimediaViacamApp member variables

	wxLocale* m_locale;
};

/*!
 * Application instance declaration 
 */

////@begin declare app
DECLARE_APP(MultimediaViacamApp)
////@end declare app

#endif
    // _MVIACAMAPP_H_
